Skip to main content
Quotes

Render quote PDF with a template archive

Render a Quote PDF using Browserless using a template archive.

POST
/qt/quotes/{quote_id}/render-pdf-with-template

This API is typically used for template development purposes.

For further information refer to the Quote Template Setup page in the Help Wiki.

This method requires the Quotes:RenderPDF and Quotes:TemplateDeveloper permissions to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
quote_idstringrequired

Quote Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

Quotes will be copied in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

multipart/form-data
templatestringrequired

Quote template to render.

This is useful for development purposes.

This should be a zip archive containing the quote template files.

Response

application/pdf

Success - Quote PDF will be returned

bodystring